? plperl.diff
Index: doc/src/sgml/plperl.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql-server/doc/src/sgml/plperl.sgml,v
retrieving revision 2.28
diff -u -r2.28 plperl.sgml
--- doc/src/sgml/plperl.sgml	20 Sep 2004 22:48:25 -0000	2.28
+++ doc/src/sgml/plperl.sgml	29 Sep 2004 22:19:30 -0000
@@ -260,7 +260,9 @@
   </para>
 
   <para>
-   Here is an example of a PL/Perl function returning a rowset of a row type:
+   Here is an example of a PL/Perl function returning a rowset of a
+   row type.  Note that a composite type is always represented as a
+   hash reference.
 <programlisting>
 CREATE TABLE test (
        i int,
@@ -305,7 +307,10 @@
   </para>
 
   <para>
-  Here is an example of a PL/Perl function returning a rowset of a composite type.
+  Here is an example of a PL/Perl function returning a rowset of a
+composite type.  As a rowset is always a reference to an array
+and a composite type is always a reference to a hash, a rowset of a
+composite type is a reference to an array of hash references.
   <programlisting>
 CREATE TYPE testsetperl AS (f1 integer, f2 text, f3 text);
 
